# $Revision: 1.74 $, $Date: 2009/09/08 09:40:20 $
#
# Conditional build:
%bcond_without	python	# python binding
#
Summary:	SELinux library and simple utilities
Summary(pl.UTF-8):	Biblioteka SELinux i proste narzędzia
Name:		libselinux
Version:	2.0.86
Release:	1
License:	Public Domain
Group:		Libraries
#git clone http://oss.tresys.com/git/selinux.git/
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	44d8dbd2c31195388abd455a62cec133
Patch0:		%{name}-vcontext-selinux.patch
URL:		http://userspace.selinuxproject.org/trac
%ifarch ppc ppc64 sparc sparcv9 sparc64
BuildRequires:	gcc >= 5:3.4
%else
BuildRequires:	gcc >= 5:3.2
%endif
BuildRequires:	glibc-devel >= 6:2.3
BuildRequires:	libsepol-devel >= 2.0.0
%{?with_python:BuildRequires:	libsepol-static}
%{?with_python:BuildRequires:	python-devel}
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	sed >= 4.0
%{?with_python:BuildRequires:	swig-python}
Requires:	glibc(tls)
Requires:	libsepol >= 2.0.0
Obsoletes:	selinux-libs
Conflicts:	SysVinit < 2.86-4
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions. Required for any applications that use the SELinux API.

%description -l pl.UTF-8
Security-enhanced Linux jest prototypem jądra Linuksa i wielu
aplikacji użytkowych o funkcjach podwyższonego bezpieczeństwa.
Zaprojektowany jest tak, aby w prosty sposób ukazać znaczenie
obowiązkowej kontroli dostępu dla społeczności linuksowej. Ukazuje
również jak taką kontrolę można dodać do istniejącego systemu typu
Linux. Jądro SELinux zawiera nowe składniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczeństwa systemu operacyjnego
Flask. Te elementy zapewniają ogólne wsparcie we wdrażaniu wielu typów
polityk obowiązkowej kontroli dostępu, włączając te wzorowane na:
Type Enforcement (TE), kontroli dostępu opartej na rolach (RBAC)
i zabezpieczeniach wielopoziomowych.

libselinux dostarcza API dla aplikacji SELinux aby mogły pobierać
i ustawiać procesy i konteksty plików w celu korzystania z polityki
bezpieczeństwa. Biblioteka jest wymagana przez wszystkie aplikacje,
które używają API SELinux.

%package devel
Summary:	Header files and devel documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	selinux-libs-devel

%description devel
Header files and devel documentation for SELinux libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programistyczna bibliotek SELinux.

%package static
Summary:	Static SELinux library
Summary(pl.UTF-8):	Biblioteki statyczne SELinux
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	selinux-static

%description static
SELinux static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne SELinux.

%package utils
Summary:	SELinux utils
Summary(pl.UTF-8):	Narzędzia SELinux
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	selinux-utils

%description utils
SELinux utils.

%description utils -l pl.UTF-8
Narzędzia SELinux.

%package -n python-selinux
Summary:	Python binding for SELinux library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki SELinux
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-selinux
Python binding for SELinux library.

%description -n python-selinux -l pl.UTF-8
Wiązania Pythona do biblioteki SELinux.

%prep
%setup -q
%patch0 -p1

# "-z defs" doesn't mix with --as-needed when some object needs symbols from
# ld.so (because of __thread variable in this case)
sed -i -e 's/-z,defs,//' src/Makefile

%build
%{__make} -j1 all %{?with_python:pywrap} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install %{?with_python:install-pywrap} \
	LIBDIR="$RPM_BUILD_ROOT%{_libdir}" \
	SHLIBDIR="$RPM_BUILD_ROOT/%{_lib}" \
	DESTDIR="$RPM_BUILD_ROOT"

# make symlink across / absolute
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libselinux.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libselinux.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE
%attr(755,root,root) /%{_lib}/libselinux.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libselinux.so
%{_includedir}/selinux
%{_mandir}/man3/*.3*
%{_mandir}/man5/selabel_*.5*

%files static
%defattr(644,root,root,755)
%{_libdir}/libselinux.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) /sbin/matchpathcon
%{_mandir}/man8/*.8*

%if %{with python}
%files -n python-selinux
%defattr(644,root,root,755)
%dir %{py_sitedir}/selinux
%attr(755,root,root) %{py_sitedir}/selinux/_selinux.so
%attr(755,root,root) %{py_sitedir}/selinux/audit2why.so
%{py_sitedir}/selinux/__init__.py
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libselinux.spec,v $
Revision 1.74  2009/09/08 09:40:20  amateja
- updated to 2.0.86

Revision 1.73  2009/08/30 07:30:58  qboosh
- fixed matchpathcon perms, release 2

Revision 1.72  2009/08/20 07:50:38  amateja
- updated to 2.0.85

Revision 1.71  2009/05/20 11:29:00  amateja
- updated to 2.0.81

Revision 1.70  2009/05/12 07:16:41  amateja
- updated to 2.0.80

Revision 1.69  2009/04/30 11:43:34  amateja
- up to 2.0.79
- fixed Source0 url

Revision 1.68  2009/03/27 20:28:16  arekm
- up to 2.0.71

Revision 1.67  2009/03/14 12:32:52  hawk
- release 3

Revision 1.66  2008/10/14 01:16:33  sls
- --with python BR: libsepol-static (seems silly)

Revision 1.65  2008/10/07 18:39:58  patrys
- rel 2

Revision 1.64  2008/09/10 20:29:09  qboosh
- updated to 2.0.65
- vcontext-selinux patch updated for current vserver

Revision 1.63  2008/04/02 19:46:20  zbyniu
- up to 2.0.59

Revision 1.62  2007-09-27 12:59:39  zbyniu
- up to 2.0.35, patch1 now in sources

Revision 1.61  2007/04/01 00:27:49  arekm
- up to 2.0.8

Revision 1.60  2007/03/02 16:36:28  tommat
- added multilib patch

Revision 1.59  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.57  2007/01/27 23:57:42  zbyniu
- up to 1.34.0

Revision 1.56  2007/01/27 10:29:28  qboosh
- i386 no longer supported (TLS)

Revision 1.55  2007/01/25 19:46:25  qboosh
- sorted

Revision 1.54  2007/01/25 18:06:04  arekm
- R: glibc(tls), but not sure if this is correct for all architectures

Revision 1.53  2007/01/21 18:42:04  qboosh
- gcc deps for __thread variables (3.4 on ppc/sparc, 3.2 otherwise)

Revision 1.52  2007/01/12 09:15:38  zbyniu
- support for capability context from vserver in selinux

Revision 1.51  2006/11/01 09:42:26  pluto
- BR: swig-python.

Revision 1.50  2006/10/31 22:47:40  qboosh
- updated to 1.32

Revision 1.49  2006/07/30 15:08:52  sparky
- pass rpmldflags

Revision 1.48  2006/03/19 12:02:14  qboosh
- updated to 1.30

Revision 1.47  2005/12/27 09:02:57  qboosh
- added python bcond
- pass LIBDIR to make to avoid -L/usr/lib on lib64-based platforms
- release 2

Revision 1.46  2005/12/21 22:49:47  qboosh
- updated to 1.28; depends on libsepol now

Revision 1.45  2005/11/22 10:05:41  qboosh
- typo

Revision 1.44  2005/11/22 09:54:28  qboosh
- conflicts with SysVinit before selinux updates (< 2.86-4)
- release 2

Revision 1.43  2005/09/22 15:55:09  arekm
- up to 1.26

Revision 1.42  2005/08/16 16:37:21  arekm
- up to 1.25.2

Revision 1.41  2005/06/27 00:55:17  undefine
- up to 1.24

Revision 1.40  2005/03/11 23:18:45  qboosh
- updated to 1.22

Revision 1.39  2005/01/08 16:58:41  qboosh
- updated to 1.20; utils in /usr/sbin now

Revision 1.38  2004/12/26 22:40:02  qboosh
- grrr, 403 now; added download URL

Revision 1.37  2004/12/19 19:35:02  radek
- release 2: -D_FILE_OFFSET_BITS=64

Revision 1.36  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.35  2004/11/04 19:48:32  qboosh
- typo

Revision 1.34  2004/11/04 19:26:34  qboosh
- added doc

Revision 1.33  2004/11/04 18:20:01  qboosh
- updated to final 1.18, removed obsolete patches

Revision 1.32  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.31  2004/10/12 21:54:24  mmazur
- rel 3 for th

Revision 1.30  2004/09/26 14:15:48  havner
- rel 2

Revision 1.29  2004/09/26 14:13:35  pluto
- fixed build on alpha (I hope).

Revision 1.28  2004/09/26 05:34:56  pluto
- TODO += http://gcc.gnu.org/PR17674.

Revision 1.27  2004/09/22 20:17:42  aflinta
- fetch source from drop in, cause it is not avaible on ftp, but fedora got it from somewhere

Revision 1.26  2004/09/22 20:06:23  aflinta
- up to version 1.17.13

Revision 1.25  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.24  2004/08/28 22:07:29  qboosh
- updated to 1.16

Revision 1.23  2004/07/02 23:00:02  qboosh
- updated to 1.14

Revision 1.22  2004/05/28 19:16:01  qboosh
- fixed files

Revision 1.21  2004/05/28 17:13:13  arekm
- updated to 1.12

Revision 1.20  2004/04/13 05:01:33  agaran
- update to 1.10

Revision 1.19  2004/03/14 18:41:16  ankry
- pl fixes

Revision 1.18  2004/03/13 22:45:20  qboosh
- updated to 1.8

Revision 1.17  2004/02/26 05:14:00  pluto
- epoch, strict deps.

Revision 1.16  2004/02/24 12:55:33  qboosh
- updated to 1.6, removed obsolete patches

Revision 1.15  2004/02/04 22:56:48  arekm
- update from fedora

Revision 1.14  2004/01/15 14:47:47  qboosh
- added URL

Revision 1.13  2004/01/15 14:36:37  qboosh
- requires glibc 2.3

Revision 1.12  2003/12/27 12:25:12  arekm
- rel 3 (is_selinux_enabled() returns only 1 or 0)

Revision 1.11  2003/12/26 18:23:27  arekm
- added fedora patches (wrapper for socket api; mntpoint location; more options)

Revision 1.10  2003/12/19 13:43:24  jajcus
- use proper libdirs (needed for amd64)

Revision 1.9  2003/12/10 21:27:15  qboosh
- updated to 1.4 (lib moved to /, no longer requires attr)

Revision 1.8  2003/10/19 22:36:57  arekm
- updated to 1.2

Revision 1.7  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.6  2003/06/26 22:47:30  qboosh
- updated makefile patch to use proper CC and OPTFLAGS and add missing SONAME
  (all dependent libs/progs probably must be relinked now...)

Revision 1.5  2003/06/18 11:25:40  michuz
- added md5sum

Revision 1.4  2003/06/18 11:21:01  michuz
- added provides

Revision 1.3  2003/06/18 11:18:46  michuz
- fixed %%files

Revision 1.2  2003/06/18 11:16:13  michuz
- addad obsoletes

Revision 1.1  2003/06/18 11:11:31  michuz
- adapterized (stolen from RH)
- added polish translation

* Wed May 27 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version
